Reporting !PulseAudio Bugs You Experience in Ubuntu

Please read the following notes before filing bugs against PulseAudio upstream if you encountered them on Ubuntu:

  • Unless you are very sure the problem is an upstream problem, please report the bugs in Launchpad, not the upstream bug tracking system. The Ubuntu developers will then escalate the bugs upstream if necessary.
  • Ubuntu's PulseAudio packages have disabled a substantial number of core features. Please do not file bugs upstream at all that are directly or indirectly related to these areas:
    • Flat volumes are disabled by default on Ubuntu 9.10
    • Realtime scheduling (through rtkit) is disabled on Ubuntu 9.10. It is enabled in the upcoming 10.04.
    • libcanberra is non-trivially out-of-date (7 versions at the date of release of Ubuntu 9.10)
    • Some additional modules have been removed from the Ubuntu packages, such as the JACK module
    • In addition, Ubuntu 9.04 disables glitch-free by default. This is enabled in 9.10 and above.
  • Please include proper package versions when reporting bugs. As upstream does not follow Ubuntu closely, Ubuntu distribution code names and versions might not be as well known by upstream as they are by you, the reporter.
  • When filing a bug, please mention that you run Ubuntu. (All of this was current on Nov 2009, at release of Ubuntu 9.10. Note that it is not our intention to discriminate against Ubuntu. It's simply that we get more bugs from Ubuntu users than from most other distributions. This has various reasons, but they all have in common that they make us prefer if Ubuntu users and maintainers would filter downstream issues before they get escalated to us.)

Thank you!

Please update this page:

  * Libcanberra in Ubuntu 10.10 is 0.25 (upstream stable is 0.26 atm). 
  * Jack module is <a href="">included</a> in Ubuntu 10.04 and 10.10  
  * Check if it is still true that "Ubuntu's PulseAudio packages have disabled a substantial number of core features".